Get Store Traffic Events

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Madden Analytics API MCP server": {
    "url": "https://docs.maddenanalytics.com/mcp"
  }
}

Close
GET /v2/api/storetrafficevents/{storeTrafficCounterID}

Get Store Traffic Events for a specific Traffic ID

Path parameters

  • storeTrafficCounterID string Required

    Store Traffic Counter ID

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • eventTime string

      Time the event occurred

    • externalStoreID string
    • incomingTraffic integer

      Number of incoming traffic

    • outgoingTraffic integer

      Number of outgoing traffic

    • storeTrafficCounterID string

      ExternalID of the counter

  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/storetrafficevents/{storeTrafficCounterID}
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/storetrafficevents/{storeTrafficCounterID}'
Response examples (200)
{
  "eventTime": "string",
  "externalStoreID": "string",
  "incomingTraffic": 42,
  "outgoingTraffic": 42,
  "storeTrafficCounterID": "string"
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}